## bamtools 2.5.2%2Bdfsg

=== debian/changelog ===
bamtools (2.5.2+dfsg-5) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * d/rules: preserve pristine Doxyfile. (Closes: #1043881)
  * typo.patch: new: fix typo caught by lintian.

 -- Étienne Mollier <emollier@debian.org>  Fri, 15 Dec 2023 19:09:45 +0100

bamtools (2.5.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * d/control: libbamtools-doc depends on libjs-jquery.
    Thanks to Andreas Beckmann (Closes: #988848)
  * Standards-Version: 4.6.2 (routine-update)

 -- Étienne Mollier <emollier@debian.org>  Mon, 19 Dec 2022 22:45:16 +0100

bamtools (2.5.2+dfsg-3) unstable; urgency=medium

  * Reduce number of tests also for armel
    Closes: #992143

 -- Andreas Tille <tille@debian.org>  Fri, 02 Dec 2022 13:52:00 +0100

bamtools (2.5.2+dfsg-2) unstable; urgency=medium

  * Do not try to move Doxyfile.bak which does not exist any more in doxygen
    1.9.4
    Closes: #1015861
  * Build-Depends: pkg-config (since cmake is asking for it)
  * Standards-Version: 4.6.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 02 Sep 2022 19:53:29 +0200

bamtools (2.5.2+dfsg-1) experimental; urgency=medium

  [ Michael R. Crusoe ]
  * Standards-Version: 4.6.0 (routine-update)
  * refresh patches including reworking the shared & static library patch

  [ Andreas Tille ]
  * Remove Dominique Belhachemi from Uploaders (Thanks Dominique for all
    your work)
  * Remove unneeded lintian override

  [ Étienne Mollier ]
  * Remove gcc11.patch

 -- Andreas Tille <tille@debian.org>  Fri, 18 Mar 2022 13:25:54 +0100

bamtools (2.5.1+dfsg-10) unstable; urgency=medium

  * Team upload.
  * Add gcc11.patch (Closes: 983981)
  * Remove bamtools.lintian-overrides

 -- Étienne Mollier <emollier@debian.org>  Sat, 06 Nov 2021 19:31:45 +0100
