=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Andreas Tille <tille@debian.org>,
            Kevin Murray <spam@kdmurray.id.au>,
-           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
