## bamtools 2.5.3%2Bdfsg

=== debian/changelog ===
bamtools (2.5.3+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Fix FTBFS with CMake 4 (Closes: #1112718)
  * Standards-Version: 4.7.2 (routine-update)
  * Drop outdated patches
  * Add Doxyfile version patch

 -- Dominique Belhachemi <domibel@debian.org>  Fri, 26 Sep 2025 21:59:11 -0400

bamtools (2.5.2+dfsg-6) unstable; urgency=medium

  * Fix output data on bigendian architectures (Thanks a lot for the
    patch from Vladimir Petko <vladimir.petko@canonical.com>!)
    Closes: #1075990
  * Standards-Version: 4.7.0 (routine-update)
  * Build-Depends: s/pkg-config/pkgconf/

 -- Andreas Tille <tille@debian.org>  Fri, 12 Jul 2024 13:46:23 +0200
