=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Andreas Tille <tille@debian.org>,
            Kevin Murray <spam@kdmurray.id.au>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -12,8 +13,8 @@
                libjsoncpp-dev,
                help2man,
                doxygen,
-               pkg-config
-Standards-Version: 4.6.2
+               pkgconf
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/bamtools
 Vcs-Git: https://salsa.debian.org/med-team/bamtools.git
 Homepage: https://github.com/pezmaster31/bamtools/wiki
@@ -56,7 +57,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libbamtools2.5.2 (= ${binary:Version}),
+Depends: libbamtools2.5.3 (= ${binary:Version}),
          ${misc:Depends},
          ${devlibs:Depends}
 Suggests: libbamtools-doc (= ${binary:Version})
@@ -74,7 +75,7 @@
  .
  This is the developers API package.
 
-Package: libbamtools2.5.2
+Package: libbamtools2.5.3
 Architecture: any
 Multi-Arch: same
 Section: libs
