=== src/api/CMakeLists.txt ===
include(GenerateExportHeader)
generate_export_header(
    BamTools
    BASE_NAME API
    EXPORT_FILE_NAME bamtools_api_export.h
    INCLUDE_GUARD_NAME BAMTOOLS_API_EXPORT_H
)
