=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,7 @@
 endif
 
 override_dh_auto_build-indep:
+	cp docs/Doxyfile docs/Doxyfile.orig
 	doxygen -u docs/Doxyfile
 	doxygen docs/Doxyfile
 
@@ -40,3 +41,6 @@
 
 describe-current-version:
 	git describe --tags upstream | sed 's,^release-,,;s,-,+,;s,-,~,;'
+
+execute_after_dh_auto_clean:
+	test ! -f docs/Doxyfile.orig || mv docs/Doxyfile.orig docs/Doxyfile
