=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg.*//,filenamemangle=s/(?:.*?)?v?(\d[\d.]*)\.tar\.gz/bamtools-$1.tar.gz/" \
https://github.com/pezmaster31/bamtools/tags .*/v?(\d[\d\.]+)\.tar\.gz
